Eine Website des Fotografen Benjamin Nauleau auf Basis von `Wordpress` und dem Frontend-Builder `beaverbuilder`.

<table>
  <tr>
    <th>Auftraggeber:</th>
    <td>Benjamin Nauleau</td>
  </tr>
  <tr>
    <th>Start:</th>
    <td>Dezember 2017</td>
  </tr>
  <tr>
    <th>Veröffentlichung:</th>
    <td>Februar 2019</td>
  </tr>
</table>

<button><a href="https://www.benjamin-nauleau.com/">Website anschauen</a></button>

![www.benjamin-nauleau.com](screenshot.png)

## Wordpress Plugins
* Beaver Builder Plugin Pro [Commercial Link](https://www.wpbeaverbuilder.com/)
* Contact Form 7	
* Google XML Sitemaps
* Path Style Menu [Commercial Link](https://codecanyon.net/item/pathstyle-menu-wordpress-navigation-menu-system-with-customizable-icons-and-multilevel-support/2379678)
* Simple 301 Redirects

Um alle freien und **nicht** kommerziellen Plugins herunterzuladen und zu entpacken folgende Befehle verwenden:
```
cd /path/wordpress/plugin/folder
sudo -u www-data wget https://downloads.wordpress.org/plugin/contact-form-7.5.1.4.zip https://downloads.wordpress.org/plugin/google-sitemap-generator.4.1.0.zip https://downloads.wordpress.org/plugin/simple-301-redirects.1.07.zip
sudo -u www-data unzip \*.zip
rm *.zip
```

## SQL-Dump Provider -> Nextcloud
Um ein SQL-Dump beim Provider durchzuführen und in der Nextcloud zu speichern kann das Skript `sql-dump-hetzner-nCloud.sh` verwendet werden.

Um die Zugangsdaten der Datenbank beim Provider sicher zu hinterlegen folgenden Befehl eingeben und Passwort bereithalten.
```
mysql_config_editor set --login-path=ben --host=sql309.your-server.de --user=benjamt_3 --password
```
Damit das ganze regelmäßig automatisch gemacht wird, muss das Skript unter `~/backup-scripts/`hinterlegt
```
wget -P ~/backup-scripts/ https://git.bmen.cc/projekte/benjamin-nauleau/raw/branch/master/sql-dump-hetzner-nCloud-ben.sh
```
und mit dem Befehl `crontab -e` folgende Zeile eingefügt werden:
```
0   1   1   *   *   sh ~/backup-scripts/sql-dump-hetzner-nCloud-ben.sh > /dev/null

```
Hierbei ist das Intervall auf jeden Monat um 1 Uhr morgens gestellt.
